## curves powers

=== Makefile ===
all:
	gcc -Wall -O3 -march=nocona -c main.c  basis.c  compute.c  delta.c  grobner.c  helper.c  pol.c  reduce.c  scalar.c  char_p_0.c
	gcc -lgmp -O3 -march=nocona -o tester main.o  basis.o  compute.o  delta.o  grobner.o  helper.o  pol.o  reduce.o  scalar.o  char_p_0.o

clean:
	rm -f tester tijdelijk gmon.out
	rm -f basis.o  compute.o  delta.o  grobner.o  helper.o  pol.o  reduce.o  scalar.o test_scalars.o make_list.o

debug:
	gcc -g -DKIJKEN -Wall -pedantic -std=c99 -c main.c  basis.c  compute.c  delta.c  grobner.c  helper.c  pol.c  reduce.c  scalar.c  char_p_0.c
	gcc -lgmp -g -Wall -o tester main.o  basis.o  compute.o  delta.o  grobner.o  helper.o  pol.o  reduce.o  scalar.o  char_p_0.o

profiler:
	gcc -pg -DPROFILER -O2 -march=nocona -Wall -c basis.c  compute.c  delta.c  grobner.c  helper.c  pol.c  reduce.c  scalar.c  char_p_0.c
	gcc -pg -Wall -lgmp -O2 -march=nocona -o tester basis.o  compute.o  delta.o  grobner.o  helper.o  pol.o  reduce.o  scalar.o  char_p_0.o

test:
	gcc -g -DKIJKEN -Wall -c scalar.c pol.c helper.c test_scalars.c
	gcc -g -lgmp -Wall -o tester test_scalars.o pol.o helper.o scalar.o

input_pol:
	gcc -DINPUT_F -Wall -O3 -march=nocona -c main.c  basis.c  compute.c  delta.c  grobner.c  helper.c  pol.c  reduce.c  scalar.c  char_p_0.c
	gcc -lgmp -O3 -march=nocona -o tester main.o  basis.o  compute.o  delta.o  grobner.o  helper.o  pol.o  reduce.o  scalar.o  char_p_0.o

output_pol:
	gcc -DOUTPUT_LIST -Wall -c main.c  basis.c  compute.c  delta.c  grobner.c  helper.c  pol.c  reduce.c  scalar.c  char_p_0.c
	gcc -lgmp -Wall -o tester main.o  basis.o  compute.o  delta.o  grobner.o  helper.o  pol.o  reduce.o  scalar.o  char_p_0.o

## curves 0.8.7

=== debian/changelog ===
curves (0.8.7) frozen; urgency=low

  * Relinked to use libstdc++2.9.

 -- Marc Singer <elf@netcom.com>  Tue, 17 Nov 1998 16:46:06 -0800

curves (0.8.6) unstable; urgency=low

  * Discovered abberation in the original source package.  It's way too
    big.
  * Fixed a bug displaying in RXVT.

 -- Marc Singer <elf@netcom.com>  Wed, 21 Oct 1998 17:34:59 -0700

curves (0.8.5) unstable; urgency=low

  * Added manual pages.  Fixed dependency generation.  Prep'd for first
    release to debian master.

 -- Marc Singer <elf@netcom.netcom.com>  Sun,  6 Sep 1998 16:29:30 -0700

curves (0.8.4) unstable; urgency=low

  * Patched for portability.  vsnprintf and assert_ are perhaps the most
    significant changes.
  * Removed test -e from Makefile.

 -- Marc Singer <elf@florence.straylight.com>  Mon, 27 Jul 1998 18:03:49 -0700

curves (0.8.3) unstable; urgency=low

  * First debianized version of curves.

 -- Marc Singer <elf@florence.straylight.com>  Mon,  6 Jul 1998 23:24:44 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: curves
Section: devel
Priority: optional
Maintainer: Marc Singer <elf@debian.org>
Standards-Version: 2.4.1.2

Package: curves
Architecture: any
Depends: ${shlibs:Depends}
Suggests: cvs
Description: colorful console interface for CVS version control
 CurVeS performs two functions.  It provides a menu and command
 completion interface to CVS so that inexperienced users can learn the
 features of CVS without documentation.  This includes the creation of
 some meta-features built upon standard CVS commands that commonly are
 used together.  The second function of CurVeS is to provide visual
 presentation of a project directory so that the status of each file
 is comprehensible at a glance.  CurVeS uses color, when available, to
 accent the file classification marks.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules						-*- Makefile -*-
#   $Id: rules,v 1.12 1998/10/22 00:50:16 elf Exp $
#
# written by Marc Singer
# 3 July 1998
#
# Copyright 1998 Marc Singer
#
# These rules provide the glue between Debian and this ${package}.
# The interesting target is binary which builds the binary package by
# configuring, compiling, and installing it in the debian/tmp
# directory and then invoking the Debian packaging tools.
# 

package=curves
base=$(package)
version=`cat .version`
RELEASE_PATH=${HOME}/release

build:
	$(checkdir)
	./configure --prefix=/usr
	$(MAKE) 
# CFLAGS=-O2 LDFLAGS=
	touch build

build-release: build
	$(MAKE) $(package).README

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -i distclean || $(MAKE) -f Makefile.in distclean
	-rm -rf debian/tmp debian/*~ debian/files* debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build build-release
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
#	install -m 755 debian/{postinst,prerm} debian/tmp/DEBIAN
	$(MAKE) CFLAGS=-O2 LDFLAGS=-s INSTALL='install' \
		prefix=`pwd`/debian/tmp/usr install
#	gzip -9v debian/tmp/usr/info/*
	cp debian/copyright debian/tmp/usr/doc/$(package)/.
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
		# Give them the sources readme
	cp ChangeLog debian/tmp/usr/doc/$(package)/changelog
		# Give them the customized README
	mv curves-$(version).README debian/tmp/usr/doc/$(package)/README
		# Compress all man pages
	find debian/tmp/usr/man -type f -exec gzip -9v \{\} \;
		# Compress changelog files
	gzip -9v debian/tmp/usr/doc/$(package)/changelog{,.Debian}
	dpkg-shlibdeps curves
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
#	if test -d ${RELEASE_PATH} ; then \
#	  dpkg --build debian/tmp ${RELEASE_PATH} ;\
#	else \

	  dpkg --build debian/tmp .. ;\

#	fi

define checkdir
	test -f $(package).cxx -a -f debian/rules
endef

.PHONY: source
source: 
	$(checkdir)
	-rm -rf debian/$(package)-$(version)
	cvs -Q export -rHEAD -d debian/$(package)-$(version) $(base)
	dpkg-source -b debian/$(package)-$(version)
	-rm -rf debian/$(package)-$(version)
	mv $(package)_*.dsc $(package)_*.tar.gz ..

.PHONY: package
package: 
	$(checkdir)
	cvs -Q export -rHEAD -d debian/$(package)-$(version) $(base)
	cd debian/$(package)-$(version) ; dpkg-buildpackage -rsudo
	sudo rm -rf debian/$(package)-$(version)

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## curves 0.8.15

=== debian/changelog ===
curves (0.8.15) unstable; urgency=low

  * Now builds on IA64.

 -- Marc Singer <elf@buici.com>  Sat, 20 Oct 2001 12:29:38 -0700

curves (0.8.14) unstable; urgency=low

  * Satisfied lintian.  Using all debhelper commands.

  * Returned default color scheme to be best for X.

 -- Marc Singer <elf@buici.com>  Thu, 06 Sep 2001 02:22:42 -0000

curves (0.8.13) unstable; urgency=low

  * Made changes for the sake of gcc 3.0.  

  * Using mkstemp instead of tmpnam in order to eliminate a compiler
    warning.  

  * Default color scheme is monochrome because, for some unknown
    reason, the XTerm color scheme doesn't work anymore.   There are
    many cosmetic things broken in woody right now.  I'm making this
    harmless change in case the color thing isn't fixed.

 -- Marc Singer <elf@buici.com>  Sun, 22 Jul 2001 18:53:42 -0700

curves (0.8.12) unstable; urgency=low

  * Fixed the rxvt problem.  There was a terminfo operator that wasn't
    being processed (for constants).  bug #70424. 
    
  * This makes curves free of bugs.
    
 -- Marc Singer <elf@buici.com>  Sun,  8 Apr 2001 13:53:42 -0700

curves (0.8.11) testing unstable; urgency=low

  * Checking for the presence of the PAGER environment variable.  It will
    prevail in absence of a preference in .curves.  Preferences in .curves
    have the highest priority, #bug 41845 

  * Fixing some build problems caused by the new C library headers, 
    bug #88086
    
  * Moved man pages and doc files to share, bug #91138
  
 -- Marc Singer <elf@buici.com>  Sun, 25 Mar 2001 15:48:32 -0800

curves (0.8.10) unstable; urgency=low

  * Fixed the menu needs clause to be text instead of X11, bug #62134.

 -- Marc Singer <elf@buici.com>  Thu, 11 May 2000 00:27:34 -0700

curves (0.8.9) frozen unstable; urgency=low

  * Done curves updates the frozen potato.
  * Removed StatusHash option by default since the patch hasn't been
    adopted, closes: bug #29997.
  * Previous release closes: bug #53367.  
  
 -- Oscar Levi <elf@buici.com>  Thu, 13 Jan 2000 23:37:10 -0800

curves (0.8.8) unstable; urgency=low

  * Relinked to use libstdc++2.10.
  * Problems with autoconf caused me to remove the const and inline
    checks. 
  
 -- Oscar Levi <elf@buici.com>  Wed, 12 Jan 2000 14:45:10 -0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: curves
 Section: devel
 Priority: optional
-Maintainer: Marc Singer <elf@debian.org>
-Standards-Version: 2.4.1.2
+Maintainer: Oscar Levi <elf@debian.org>
+Standards-Version: 3.5.6.0
+Build-Depends: debhelper (>= 3.0.40), g++
 
 Package: curves
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules						-*- Makefile -*-
#   $Id: rules,v 1.20 2001/09/07 03:12:55 elf Exp $
#
# written by Marc Singer
# 3 July 1998
#
# Copyright 1998 Marc Singer
#
# These rules provide the glue between Debian and this ${package}.
# The interesting target is binary which builds the binary package by
# configuring, compiling, and installing it in the debian/tmp
# directory and then invoking the Debian packaging tools.
# 

package=curves
base=$(package)
version=`cat .version`
RELEASE_PATH=${HOME}/release/debian

build:
	$(checkdir)
	./configure --prefix=/usr
	$(MAKE) 
# CFLAGS=-O2 LDFLAGS=
	touch build

build-release: build
	$(MAKE) $(package).README

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -i distclean || $(MAKE) -f Makefile.in distclean
	-rm -rf debian/tmp debian/*~ debian/files* debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build build-release
	$(checkdir)
	-rm -rf debian/tmp
	dh_clean
	dh_installdirs
	$(MAKE) CFLAGS=-O2 LDFLAGS=-s INSTALL='install' \
		prefix=`pwd`/debian/tmp/usr install
	dh_installmenu
	dh_installdocs
	dh_installdeb
	mv curves-$(version).README debian/tmp/usr/share/doc/$(package)/README
	dh_installchangelogs
	dh_compress
	dh_strip
	dh_shlibdeps
	dh_gencontrol
	dh_fixperms
#	if test -d ${RELEASE_PATH} ; then \
#	  dpkg --build debian/tmp ${RELEASE_PATH} ;\
#	else \

	  dpkg --build debian/tmp .. ;\

#	fi

define checkdir
	test -f $(package).cxx -a -f debian/rules
endef

.PHONY: source
source: 
	-echo === Building $(version)
	$(checkdir)
	-rm -rf debian/$(package)-$(version)
	-rm -rf _source
	cvs -Q export -rHEAD -d _source $(base)
	mv _source debian/$(package)-$(version)
	dpkg-source -b debian/$(package)-$(version)
	-rm -rf debian/$(package)-$(version)
	mv $(package)_*.dsc _dsc
	echo "" >> _dsc
	gpg -a --clearsign --default-key elf --output $(package)_$(version).dsc _dsc
	rm _dsc
	mv $(package)_*.dsc $(package)_*.tar.gz ..

.PHONY: package
package: 
	$(checkdir)
	cvs -Q export -rHEAD -d debian/$(package)-$(version) $(base)
	cd debian/$(package)-$(version) ; dpkg-buildpackage -rsudo
	sudo rm -rf debian/$(package)-$(version)

# Perform the final staging before releasing the package to the debian
# servers.  (elf target)

.PHONY: prerelease
prerelease:
	dpkg-genchanges > ../$(package)_$(version).changes.orig
	echo "" >> ../$(package)_$(version).changes.orig
	gpg -a --clearsign --default-key elf  --output ../$(package)_$(version).changes ../$(package)_$(version).changes.orig
	rm ../$(package)_$(version).changes.orig
	if test -d ${RELEASE_PATH} ; then \
	  mv ../$(package)_$(version)* ~/release/debian ;\
	fi

# Perform full release build, binary and source and prerelease so that
# we're ready for upload.  (elf target)

.PHONY: fullrelease
fullrelease: binary source prerelease

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## curves 0.8.19

=== debian/changelog ===
curves (0.8.19) unstable; urgency=low

  * Changing to debian standards release 3.6.1.

 -- Marc Singer <elf@buici.com>  Wed,  1 Oct 2003 23:36:36 -0700

curves (0.8.18) unstable; urgency=low

  * Fixed old bug where curves would assert, and may eventually segment
    fault, when browsing an empty directory. (closes: #147605)
  * New upload so that the latest gcc-3 is used. 

 -- Marc Singer <elf@debian.org>  Wed, 20 Aug 2003 21:39:49 -0700

curves (0.8.17) unstable; urgency=low

  * gcc-3.2 preprocessor doesn't allow string pasting with class operator.
    Whatever.  This is fixed by changing the identifiers.  
    closes: bug #194888.

 -- Marc Singer <elf@buici.com>  Tue, 27 May 2003 09:33:37 -0700

curves (0.8.16) unstable; urgency=low

  * Supporting spaces and other special characters in controlled file
    names and directory names.  

 -- Marc Singer <elf@buici.com>  Tue, 27 Nov 2001 16:24:22 -0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: curves
 Section: devel
 Priority: optional
-Maintainer: Oscar Levi <elf@debian.org>
-Standards-Version: 3.5.6.0
+Maintainer: Marc Singer <elf@debian.org>
+Standards-Version: 3.6.1
 Build-Depends: debhelper (>= 3.0.40), g++
 
 Package: curves

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # debian/rules						-*- Makefile -*-
-#   $Id: rules,v 1.20 2001/09/07 03:12:55 elf Exp $
+#   $Id: rules,v 1.24 2003/05/27 17:07:02 elf Exp $
 #
 # written by Marc Singer
 # 3 July 1998
@@ -108,8 +108,14 @@
 # Perform full release build, binary and source and prerelease so that
 # we're ready for upload.  (elf target)
 
-.PHONY: fullrelease
-fullrelease: binary source prerelease
+.PHONY: fullrelease fullrelease_clean fullrelease_binary
+fullrelease: fullrelease_clean fullrelease_binary source prerelease
+
+fullrelease_clean:
+	-make distclean
+
+fullrelease_binary:
+	fakeroot debian/rules binary
 
 # Below here is fairly generic really

## curves 0.8.19build1

=== debian/changelog ===
curves (0.8.19build1) breezy; urgency=low

  * Rebuild for new C++ ABI

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Jun 2005 08:24:29 +0000
